#
# spec file for package python-schema
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-schema
Version:        0.7.0
Release:        2.1
Summary:        Data validation library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/keleshev/schema
Source:         https://files.pythonhosted.org/packages/source/s/schema/schema-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module contextlib2 >= 0.5.5}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-contextlib2 >= 0.5.5
BuildArch:      noarch

%python_subpackages

%description
Schema is a library for validating Python data structures, such as those
obtained from config-files, forms, external services or command-line
parsing, converted from JSON/YAML (or something else) to Python data-types.

%prep
%setup -q -n schema-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec test_schema.py

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE-MIT
%{python_sitelib}/*

%changelog
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 0.7.0
  * Add an is_valid method to the schema
  * Fix typo in schema.py: vaidated->validated
  * Fix callable check under PyPy2
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue May 15 2018 toddrme2178@gmail.com
- Update to 0.6.7
  * Implement Const validator to keep data unchanged
  * Implement Forbidden.
  * added __hash__ and __eq__ based on sub-schema to Optional
- Use license tag
* Fri Oct 20 2017 toddrme2178@gmail.com
- initial version
